// This method uses the player's maptext variables to display a name.
// Real simple. Just don't expect to be using maptext for anything else.
mob/player
	show_nametag()
		// set the maptext bounds to 3x3 32x32 tiles
		maptext_width = 96
		maptext_height = 96

		// center it with the player's 32 pixel wide icon
		maptext_x = (32 - maptext_width) / 2

		// position its top 4 pixels below the player's icon
		maptext_y = -4 - maptext_height

		// set its text.
		maptext = "<text align=center valign=top>[name]"

	hide_nametag()
		// Reset the player's maptext variables.
		maptext_width = initial(maptext_width)
		maptext_height = initial(maptext_height)
		maptext_x = initial(maptext_x)
		maptext_y = initial(maptext_y)
		maptext = initial(maptext)

	// When the player's name changes, re-show he nametag to update it.
	change_name(t as text)
		..()
		show_nametag()