// This method uses an /image overlay for the nametag.
// Pros:
// You can use the player's maptext variables for something else.
// You can set the layer of this maptext to whatever you want.
mob/player
	var tmp/image/nametag

	show_nametag()
		if(!nametag)
			nametag = new
			// This bit is the same as in method 1, but applied to the overlay.
			nametag.maptext_width = 96
			nametag.maptext_height = 96
			nametag.maptext_x = (32 - nametag.maptext_width) / 2
			nametag.maptext_y = -4 - nametag.maptext_height
		else hide_nametag()
		nametag.maptext = "<text align=center valign=top>[name]"
		overlays += nametag

	// Simply remove the nametag overlay.
	// If you want to save space, you can set nametag = null
	// after removing it from overlays, but if you want it back,
	// you have to recreate it.
	hide_nametag()
		if(nametag)
			overlays -= nametag

	// Since the nametag is being used as an overlay, you need to remove it from
	// overlays before modifying it, then add it back afterwards.
	change_name(t as text)
		hide_nametag()
		..()
		show_nametag()