// This method is similar to overlay maptext,
// except that maptext is shown per-client.

mob/player
	Login()
		..()

		var mob/m = new (locate(7, 3, 1))
		m.color = "maroon"
		m.name = "Poop"

		src << "Mouse-over a mob to see its name."
		src << "'hide nametag' will disable this."
		src << "In multiplayer, other clients won't see the nametag that you see."

	show_nametag() client.MakeNametag()
	hide_nametag() client.DeleteNametag()

atom
	// any atom can be nametagged, but they aren't by default
	// (change this to TRUE to see "grass" over all the grass)
	var show_nametag = FALSE

mob
	show_nametag = TRUE // mobs are nametagged by default

client
	var tmp/image/nametag

	proc/MakeNametag()
		if(!nametag)
			nametag = new
			nametag.maptext_width = 96
			nametag.maptext_height = 96
			nametag.maptext_x = (32 - nametag.maptext_width) / 2
			nametag.maptext_y = -4 - nametag.maptext_height
			src << nametag

	proc/DeleteNametag()
		if(nametag)
			del nametag

	proc/SetNametag(atom/Thing)
		if(istype(Thing) && Thing.show_nametag)
			nametag.maptext = "<text align=center valign=top>[Thing.name]"
			nametag.loc = Thing
		else nametag.maptext = ""

	MouseEntered(object, location, control, params)
		..()
		nametag && SetNametag(object)

	MouseExited()
		..()
		nametag && SetNametag()